मुख्य सामग्री पर जाएं
POST
/
billing
/
checkout
Create a billing checkout session
curl --request POST \
  --url https://api.youka.io/api/v1/billing/checkout \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quantity": 123,
  "platform": "api"
}
'
import requests

url = "https://api.youka.io/api/v1/billing/checkout"

payload = {
"quantity": 123,
"platform": "api"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quantity: 123, platform: 'api'})
};

fetch('https://api.youka.io/api/v1/billing/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "url": "<string>",
  "sessionId": "<string>"
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

हेडर

Idempotency-Key
string

बॉडी

application/json
productType
enum<string>
आवश्यक
उपलब्ध विकल्प:
subscription,
topup
quantity
integer
आवश्यक
आवश्यक सीमा: x <= 9007199254740991
platform
enum<string>
डिफ़ॉल्ट:api
आवश्यक
उपलब्ध विकल्प:
web,
desktop,
cli,
sdk,
api
cycle
enum<string>
उपलब्ध विकल्प:
monthly,
yearly

प्रतिक्रिया

200 - application/json

Checkout session

url
string<uri>
आवश्यक
sessionId
string
आवश्यक